package domain

type AlibabaWdkCouponTemplateQueryumpactidApiResult struct {
	/*
	   数据     */
	Models *[]AlibabaWdkCouponTemplateQueryumpactidCouponRelatedResponse `json:"models,omitempty" `

	/*
	   错误码     */
	ErrCode *string `json:"err_code,omitempty" `

	/*
	   错误信息     */
	ErrMsg *string `json:"err_msg,omitempty" `

	/*
	   true为成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkCouponTemplateQueryumpactidApiResult) SetModels(v []AlibabaWdkCouponTemplateQueryumpactidCouponRelatedResponse) *AlibabaWdkCouponTemplateQueryumpactidApiResult {
	s.Models = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryumpactidApiResult) SetErrCode(v string) *AlibabaWdkCouponTemplateQueryumpactidApiResult {
	s.ErrCode = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryumpactidApiResult) SetErrMsg(v string) *AlibabaWdkCouponTemplateQueryumpactidApiResult {
	s.ErrMsg = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryumpactidApiResult) SetSuccess(v bool) *AlibabaWdkCouponTemplateQueryumpactidApiResult {
	s.Success = &v
	return s
}
